
_Display_Init:

;SignalRelayPIC.c,83 :: 		void Display_Init()
;SignalRelayPIC.c,85 :: 		Lcd_Init();                        // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;SignalRelayPIC.c,86 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;SignalRelayPIC.c,87 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;SignalRelayPIC.c,89 :: 		Lcd_Out(1, 1, txt1);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt1+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt1+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,90 :: 		Lcd_Out(1, 10, txt2);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,91 :: 		Lcd_Out(2, 1, txt3);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt3+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt3+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,92 :: 		Lcd_Out(2, 10, txt4);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt4+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt4+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,94 :: 		Lcd_Out(1, 5, "OFF"); // RE1
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,95 :: 		Lcd_Out(1, 14, "OFF"); // RE2
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,96 :: 		Lcd_Out(2, 5, "OFF"); // RE3
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,97 :: 		Lcd_Out(2, 14, "OFF"); // RE4
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,98 :: 		}
L_end_Display_Init:
	RETURN      0
; end of _Display_Init

_main:

;SignalRelayPIC.c,100 :: 		void main()
;SignalRelayPIC.c,102 :: 		Display_Init();
	CALL        _Display_Init+0, 0
;SignalRelayPIC.c,104 :: 		oldD3 = false;
	CLRF        _oldD3+0 
;SignalRelayPIC.c,105 :: 		oldD2= false;
	CLRF        _oldD2+0 
;SignalRelayPIC.c,106 :: 		oldD1 = false;
	CLRF        _oldD1+0 
;SignalRelayPIC.c,107 :: 		oldD0 = false;
	CLRF        _oldD0+0 
;SignalRelayPIC.c,109 :: 		ANSELA = 0;                         // Configure AN pins as digital
	CLRF        ANSELA+0 
;SignalRelayPIC.c,110 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;SignalRelayPIC.c,111 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;SignalRelayPIC.c,112 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;SignalRelayPIC.c,114 :: 		TRISD3_bit = 1;                                // set RD3 pin as input
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;SignalRelayPIC.c,115 :: 		TRISD2_bit = 1;                                // set RD2 pin as input
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;SignalRelayPIC.c,116 :: 		TRISD1_bit = 1;                                // set RD1 pin as input
	BSF         TRISD1_bit+0, BitPos(TRISD1_bit+0) 
;SignalRelayPIC.c,117 :: 		TRISD0_bit = 1;                                // set RD0 pin as input
	BSF         TRISD0_bit+0, BitPos(TRISD0_bit+0) 
;SignalRelayPIC.c,119 :: 		TRISA2_bit = 0;                                // set RA2 pin as output
	BCF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;SignalRelayPIC.c,120 :: 		TRISE1_bit = 0;                                // set RE1 pin as output
	BCF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;SignalRelayPIC.c,121 :: 		TRISE0_bit = 0;                                // set RE0 pin as output
	BCF         TRISE0_bit+0, BitPos(TRISE0_bit+0) 
;SignalRelayPIC.c,122 :: 		TRISC0_bit = 0;                                // set RC0 pin as output
	BCF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;SignalRelayPIC.c,124 :: 		LATA = 0x00;                                   // Initial PORTA value
	CLRF        LATA+0 
;SignalRelayPIC.c,125 :: 		LATC = 0x00;                                   // Initial PORTC value
	CLRF        LATC+0 
;SignalRelayPIC.c,126 :: 		LATE = 0x00;                                   // Initial PORTE value
	CLRF        LATE+0 
;SignalRelayPIC.c,128 :: 		while(1) {
L_main0:
;SignalRelayPIC.c,131 :: 		if (Button(&PORTD, 3, 1, 1))     // detect logical one on PORTA15 pin
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;SignalRelayPIC.c,134 :: 		if (!oldD3)     // detect zero-to-one transition
	MOVF        _oldD3+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main3
;SignalRelayPIC.c,136 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
;SignalRelayPIC.c,137 :: 		Lcd_Out(1, 5, "    ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,138 :: 		Lcd_Out(1, 5, "ON"); // RE1
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,139 :: 		oldD3 = 1;
	MOVLW       1
	MOVWF       _oldD3+0 
;SignalRelayPIC.c,140 :: 		LATA2_bit = 1;
	BSF         LATA2_bit+0, BitPos(LATA2_bit+0) 
;SignalRelayPIC.c,142 :: 		}
	GOTO        L_main5
L_main3:
;SignalRelayPIC.c,145 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
	DECFSZ      R12, 1, 1
	BRA         L_main6
	DECFSZ      R11, 1, 1
	BRA         L_main6
;SignalRelayPIC.c,146 :: 		Lcd_Out(1, 5, "    ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr7_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr7_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,147 :: 		Lcd_Out(1, 5, "OFF"); // RE1
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,148 :: 		oldD3 = 0;
	CLRF        _oldD3+0 
;SignalRelayPIC.c,149 :: 		LATA2_bit = 0;
	BCF         LATA2_bit+0, BitPos(LATA2_bit+0) 
;SignalRelayPIC.c,150 :: 		}
L_main5:
;SignalRelayPIC.c,151 :: 		}
L_main2:
;SignalRelayPIC.c,154 :: 		if (Button(&PORTD, 2, 1, 1))    // detect logical one on PORTC4 pin
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
;SignalRelayPIC.c,157 :: 		if (!oldD2)           // detect zero-to-one transition
	MOVF        _oldD2+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main8
;SignalRelayPIC.c,159 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main9:
	DECFSZ      R13, 1, 1
	BRA         L_main9
	DECFSZ      R12, 1, 1
	BRA         L_main9
	DECFSZ      R11, 1, 1
	BRA         L_main9
;SignalRelayPIC.c,160 :: 		Lcd_Out(1, 14, "    ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr9_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr9_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,161 :: 		Lcd_Out(1, 14, "ON"); // RE2
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr10_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr10_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,162 :: 		oldD2 = 1;
	MOVLW       1
	MOVWF       _oldD2+0 
;SignalRelayPIC.c,163 :: 		LATE1_bit = 1;
	BSF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;SignalRelayPIC.c,164 :: 		}
	GOTO        L_main10
L_main8:
;SignalRelayPIC.c,167 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main11:
	DECFSZ      R13, 1, 1
	BRA         L_main11
	DECFSZ      R12, 1, 1
	BRA         L_main11
	DECFSZ      R11, 1, 1
	BRA         L_main11
;SignalRelayPIC.c,168 :: 		Lcd_Out(1, 14, "    ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr11_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr11_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,169 :: 		Lcd_Out(1, 14, "OFF"); // RE2
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr12_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr12_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,170 :: 		oldD2 = 0;
	CLRF        _oldD2+0 
;SignalRelayPIC.c,171 :: 		LATE1_bit = 0;
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;SignalRelayPIC.c,172 :: 		}
L_main10:
;SignalRelayPIC.c,173 :: 		}
L_main7:
;SignalRelayPIC.c,176 :: 		if (Button(&PORTD, 1, 1, 1))           // detect logical one on PORTA14 pin
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
;SignalRelayPIC.c,179 :: 		if (!oldD1)           // detect zero-to-one transition
	MOVF        _oldD1+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main13
;SignalRelayPIC.c,181 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main14:
	DECFSZ      R13, 1, 1
	BRA         L_main14
	DECFSZ      R12, 1, 1
	BRA         L_main14
	DECFSZ      R11, 1, 1
	BRA         L_main14
;SignalRelayPIC.c,182 :: 		Lcd_Out(2, 5, "    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr13_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr13_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,183 :: 		Lcd_Out(2, 5, "ON"); // RE3
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr14_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr14_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,184 :: 		oldD1 = 1;
	MOVLW       1
	MOVWF       _oldD1+0 
;SignalRelayPIC.c,185 :: 		LATE0_bit = 1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;SignalRelayPIC.c,186 :: 		}
	GOTO        L_main15
L_main13:
;SignalRelayPIC.c,189 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main16:
	DECFSZ      R13, 1, 1
	BRA         L_main16
	DECFSZ      R12, 1, 1
	BRA         L_main16
	DECFSZ      R11, 1, 1
	BRA         L_main16
;SignalRelayPIC.c,190 :: 		Lcd_Out(2, 5, "    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr15_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr15_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,191 :: 		Lcd_Out(2, 5, "OFF"); // RE3
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr16_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr16_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,192 :: 		oldD1 = 0;
	CLRF        _oldD1+0 
;SignalRelayPIC.c,193 :: 		LATE0_bit = 0;
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;SignalRelayPIC.c,194 :: 		}
L_main15:
;SignalRelayPIC.c,195 :: 		}
L_main12:
;SignalRelayPIC.c,198 :: 		if (Button(&PORTD, 0, 1, 1))           // detect logical one on PORTA14 pin
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	CLRF        FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main17
;SignalRelayPIC.c,201 :: 		if (!oldD0)           // detect zero-to-one transition
	MOVF        _oldD0+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main18
;SignalRelayPIC.c,203 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main19:
	DECFSZ      R13, 1, 1
	BRA         L_main19
	DECFSZ      R12, 1, 1
	BRA         L_main19
	DECFSZ      R11, 1, 1
	BRA         L_main19
;SignalRelayPIC.c,204 :: 		Lcd_Out(2, 14, "    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr17_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr17_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,205 :: 		Lcd_Out(2, 14, "ON"); // RE4
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr18_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr18_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,206 :: 		oldD0 = 1;
	MOVLW       1
	MOVWF       _oldD0+0 
;SignalRelayPIC.c,207 :: 		LATC0_bit = 1;
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;SignalRelayPIC.c,208 :: 		}
	GOTO        L_main20
L_main18:
;SignalRelayPIC.c,211 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main21:
	DECFSZ      R13, 1, 1
	BRA         L_main21
	DECFSZ      R12, 1, 1
	BRA         L_main21
	DECFSZ      R11, 1, 1
	BRA         L_main21
;SignalRelayPIC.c,212 :: 		Lcd_Out(2, 14, "    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr19_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr19_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,213 :: 		Lcd_Out(2, 14, "OFF"); // RE4
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr20_SignalRelayPIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr20_SignalRelayPIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SignalRelayPIC.c,214 :: 		oldD0 = 0;
	CLRF        _oldD0+0 
;SignalRelayPIC.c,215 :: 		LATC0_bit = 0;
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;SignalRelayPIC.c,216 :: 		}
L_main20:
;SignalRelayPIC.c,217 :: 		}
L_main17:
;SignalRelayPIC.c,219 :: 		}
	GOTO        L_main0
;SignalRelayPIC.c,221 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
